(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define(factory);
	else if(typeof exports === 'object')
		exports["RxRedux"] = factory();
	else
		root["RxRedux"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	__webpack_require__(1);
	module.exports = __webpack_require__(1);


/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	var _createStore = __webpack_require__(2);

	var _createStore2 = _interopRequireDefault(_createStore);

	var _utilsCombineReducers = __webpack_require__(3);

	var _utilsCombineReducers2 = _interopRequireDefault(_utilsCombineReducers);

	exports['default'] = {
	  createStore: _createStore2['default'],
	  combineReducers: _utilsCombineReducers2['default']
	};
	module.exports = exports['default'];

/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;
	exports['default'] = createStore;

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

	var _utilsIsPlainObject = __webpack_require__(4);

	var _utilsIsPlainObject2 = _interopRequireDefault(_utilsIsPlainObject);

	function createStore(reducer, initState) {
	  if (typeof reducer !== 'function') {
	    throw new Error('Expected the reducer to be a function.');
	  }

	  var initAction = { type: '@@redux-core/INIT_' + new Date().getTime() };
	  var currentReducer = reducer;
	  var state = currentReducer(initState, initAction);

	  function dispatch(action) {
	    if (!_utilsIsPlainObject2['default'](action)) {
	      throw new Error('Action must be a plain object.');
	    }

	    state = currentReducer(state, action);
	    return state;
	  }

	  function replaceReducer(newReducer) {
	    currentReducer = newReducer;
	    dispatch(initAction);
	  }

	  return {
	    getState: function getState() {
	      return state;
	    },
	    dispatch: dispatch,
	    getReducer: function getReducer() {
	      return currentReducer;
	    },
	    replaceReducer: replaceReducer
	  };
	}

	module.exports = exports['default'];

/***/ },
/* 3 */
/***/ function(module, exports) {

	'use strict';

	exports.__esModule = true;
	exports['default'] = combineReducers;
	function pickReducer(reducers) {
	  return Object.keys(reducers).reduce(function (result, key) {
	    var reducer = reducers[key];
	    if (typeof reducer === 'function') {
	      result[key] = reducer;
	    }

	    return result;
	  }, {});
	}

	function combineReducers(reducers) {
	  var finalReducers = pickReducer(reducers);
	  var keys = Object.keys(finalReducers);

	  return function () {
	    var state = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
	    var action = arguments.length <= 1 || arguments[1] === undefined ? undefined : arguments[1];

	    return keys.reduce(function (result, key) {
	      result[key] = finalReducers[key](state[key], action);
	      return result;
	    }, {});
	  };
	}

	module.exports = exports['default'];

/***/ },
/* 4 */
/***/ function(module, exports) {

	/*
	 https://github.com/gaearon/redux/blob/breaking-changes-1.0/src/utils/isPlainObject.js
	 */

	'use strict';

	exports.__esModule = true;
	exports['default'] = isPlainObject;
	function fnToString(fn) {
	  return Function.prototype.toString.call(fn);
	}

	/**
	 * @param {any} obj The object to inspect.
	 * @returns {boolean} True if the argument appears to be a plain object.
	 */

	function isPlainObject(obj) {
	  if (!obj || typeof obj !== 'object') {
	    return false;
	  }

	  var proto = typeof obj.constructor === 'function' ? Object.getPrototypeOf(obj) : Object.prototype;

	  if (proto === null) {
	    return true;
	  }

	  var constructor = proto.constructor;

	  return typeof constructor === 'function' && constructor instanceof constructor && fnToString(constructor) === fnToString(Object);
	}

	module.exports = exports['default'];

/***/ }
/******/ ])
});
;